<?php

namespace Drupal\drush_help\Utility;

use Drupal\filter\FilterPluginCollection;

/**
 * Helper class URL based methods.
 *
 * @ingroup utility
 */
class UrlHelper {

  /**
   * Convert plain url to links in a given string.
   *
   * @param string $string
   *   The string to review.
   *
   * @return string
   *   The new string.
   */
  public static function convertPlainUrlInLink($string) {
    // The text processing filters service.
    $manager = \Drupal::service('plugin.manager.filter');
    // Getting the filter plugin collection.
    $filter_collection = new FilterPluginCollection($manager, []);
    // Getting the filter_url plugin.
    $filter = $filter_collection->get('filter_url');

    // Setting the filter_url plugin configuration.
    $filter->setConfiguration([
      'settings' => [
        'filter_url_length' => 496,
      ],
    ]);

    // Applying the filter.
    $html['#markup'] = _filter_url($string, $filter);
    // Rendering the element.
    $result = \Drupal::service('renderer')->render($html);

    return $result;
  }

}
